**Description**
*Simple reddit api* 

**Usage**

```javascript
const api = require('hive-api');

api({
    subreddit: "String or Object",
    allowNSFW: false,
    allowModPost: true,
    allowCrossPost: true,
    allowVideo: true
}).then(post => {
    console.table(post);
});
```


**Functions**
```
subreddit:
    type: String or Object,
    default: N/A
allowNSFW:
    type: boolean,
    description: weather it searches for nsfw posts
    default: false
allowModPost:
    type: boolean,
    description: weather it searches for mod posts
    default: false
allowCrossPost:
    type: boolean,
    description: whether or not the returned post can be a crosspost
    default: false
allowVideo: true
    type: boolean,
    description: whether or not the returned post can be a video
    default: false
```


**Function details**
By default, the Reddit JSON API should not return any removed or deleted posts.
Unhandled rejections can be caught and handled by doing:

```javascript
... bla bla bla bla
}).then(post => {
    //some code here
}).catch(e => {
    console.log(`Rejection: ${e}`);
})
```
